// rttiDlg.cpp : implementation file
//

#include "stdafx.h"
#include "rtti.h"
#include "rttiDlg.h"

#include "Cprostokat.h"
#include "Ctxt.h"
#include "CrectTxt.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CrttiDlg dialog




CrttiDlg::CrttiDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CrttiDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CrttiDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CrttiDlg, CDialog)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_BUTTON1, &CrttiDlg::OnBnClickedButton1)
END_MESSAGE_MAP()


// CrttiDlg message handlers

BOOL CrttiDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here

	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CrttiDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{

		CPaintDC dc(this); // device context for painting
		
		for(int i=0;i<tabfig.size();++i)
		{
			tabfig[i]->rysuj(&dc);
		
		}
		/*dc.MoveTo(100,100);
		dc.LineTo(50,50);*/


		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CrttiDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}




void CrttiDlg::OnBnClickedButton1()
{
	CString txt;
	GetDlgItemText(IDC_EDIT1,txt);
	if(txt[0]=='p')
		tabfig.push_back(new Cprostokat(Cpunkt(5,5),Cpunkt(100,100)));
	else if(txt[0]=='t')
		tabfig.push_back(new Ctxt("Test", Cpunkt(200,200)));
	else if(txt[0]=='e')
		tabfig.push_back(new CrectTxt(Cpunkt(100,100),Cpunkt(150,150),"Test"));
	Invalidate(true);
}
